﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Collections;
using Syncfusion.Mvc.Grid;


namespace AjaxLoad.Controllers
{
    public partial class GridController : Controller
    {
        public ActionResult ServerMode()
        {
            if (this.Request.IsAjaxRequest())
            {
                var data = new AjaxLoad.Models.StudentDataContext().Student.Take(100).ToList();
                ViewData["ProductName"] = "Grid";
                return PartialView("ServerPartial", data);
            }
            else
                return View();
            
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult ServerMode(PagingParams args)
        {
                IEnumerable data = new AjaxLoad.Models.StudentDataContext().Student.Take(100).ToList();
                return data.GridActions<AjaxLoad.Models.Student>();
        }


       
    }
}
